Page MenuHomePhabricator

Identify types of links to Bugzilla which should be redirected or updated to Phabricator
Closed, DuplicatePublic

Description

Currently 2332 links on mediawiki.org alone.
https://www.mediawiki.org/w/index.php?title=Special:LinkSearch&limit=5000&offset=0&target=https%3A%2F%2Fbugzilla.wikimedia.org%2Fbuglist.cgi
https://www.mediawiki.org/w/index.php?title=Special:LinkSearch&limit=5000&offset=0&target=http%3A%2F%2Fbugzilla.wikimedia.org%2Fbuglist.cgi

For more: https://wiki.toolserver.org/view/MySQL_queries#List_of_external_links_from_all_wikis

We need a map of all subtypes of links; probably the best way is to make strict apache rewrite rules which match only what they're sure to be able to translate meaningfully to phabricator URLs, then run them on the full list of known URLs and see what's not yet matched. When something is not immediate to match, a sub-task needs to be filed to make it possible.

Example challenge: http://fab.wmflabs.org/T171#15

Reference: http://www.w3.org/Provider/Style/URI.html

Details

Reference
fl417

Event Timeline

flimport raised the priority of this task from to Normal.Sep 12 2014, 1:40 AM
flimport set Reference to fl417.

aklapper wrote on 2014-06-23 19:49:43 (UTC)

I don't see redirecting all links as a good use of time and I don't see T171 blocking this.
We will redirect show_bug.cgi for ID parameters (for completeness, further parameters such as "ctype=xml" are available but neglectable).
Redirecting show_bug.cgi with an Alias parameter (T402) looks also doable (but I cannot judge the performance of another 90 Apache Redirect rules).

Redirecting buglist.cgi is way more complicated as URL parameters could be really anything in Bugzilla (resolutions, products, components, keywords, very interesting complex search parameters for some Bugzilla elements that we will kill, like the useless "Mobile Platform" custom field in Bugzilla, see https://bugzilla.wikimedia.org/show_bug.cgi?id=41197#c5 ) and I currently don't see a feasible plan for this (though I'd love to be proven wrong).

I wonder if we can somehow extract and identify any kind of commonly and recently used URL patterns for buglist.cgi that could be worth to support, like bug_id=1,2,3 parameters, or something like "{all open statuses in Bugzilla} && {Bugzilla component X, Bugzilla component Y, Bugzilla component Z}" if that is a common usecase, if we end up with some static mapping between these elements in Bugzilla and in Phabricator. Depends on how we end up solving T68 and T423.

Again: Zero breakage of links is unrealistic.
The question is how to identify common queries, and then the tradeoff question is how to minimize breakage for common queries vs. not spending ages on coming up with redirects for everything and the kitchen sink.

aklapper wrote on 2014-08-12 18:08:56 (UTC)

We need a map of all subtypes of links;

Nemo: Could you elaborate what this exactly means? Do you want a list of all top-level .cgi's in Bugzilla, or what is asked for?

To summarize (might be incomplete) how I currently see things:

aklapper wrote on 2014-08-12 18:09:37 (UTC)

Oh, and "Redirect or update all links to bugzilla" (emphasis by me), as this task is called, is definitely a WONTFIX.

aklapper wrote on 2014-08-28 19:39:22 (UTC)

✘ Merged into T65.

aklapper wrote on 2014-08-28 19:39:51 (UTC)

I centralized the whole URL redirects discussion in T65 now.

importing issue status

flimport closed this task as a duplicate.Sep 12 2014, 1:40 AM
Forrestbot added a subscriber: Forrestbot.
This comment was removed by chasemp.